import 'package:flutter/material.dart';

class CategoriasNavBar extends StatefulWidget {
  const CategoriasNavBar({super.key});

  @override
  State<CategoriasNavBar> createState() => _CategoriasNavBarState();
}

class _CategoriasNavBarState extends State<CategoriasNavBar> {
  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Container(
          color: Colors.black,
          padding: const EdgeInsets.symmetric(vertical: 15),
          child: Row(
            children: [
              const SizedBox(width: 20),
              const Icon(Icons.search, color: Colors.white, size: 28),
              const SizedBox(width: 20),
              const Icon(Icons.menu, color: Colors.white, size: 28),
              const SizedBox(width: 40),
              Container(
                padding: const EdgeInsets.only(bottom: 5),
                decoration: const BoxDecoration(
                  border: Border(
                    bottom: BorderSide(
                      color: Color.fromARGB(255, 47, 208, 229),
                      width: 3.0,
                    ),
                  ),
                ),
                child: const Text(
                  "Café",
                  style: TextStyle(
                    color: Color.fromARGB(255, 47, 208, 229),
                    fontSize: 18,
                    fontWeight: FontWeight.bold,
                  ),
                ),
              ),
              const SizedBox(width: 40),
              const Text(
                'Bolsa',
                style: TextStyle(
                  color: Colors.white,
                  fontSize: 18,
                  fontWeight: FontWeight.bold,
                ),
              ),
              const SizedBox(width: 40),
              const Text(
                'Brunch',
                style: TextStyle(
                  color: Colors.white,
                  fontSize: 18,
                  fontWeight: FontWeight.bold,
                ),
              ),
              const SizedBox(width: 40),
              const Text(
                'Desserts',
                style: TextStyle(
                  color: Colors.white,
                  fontSize: 18,
                  fontWeight: FontWeight.bold,
                ),
              ),
              const SizedBox(width: 40),
              const Text(
                'Drinks',
                style: TextStyle(
                  color: Colors.white,
                  fontSize: 18,
                  fontWeight: FontWeight.bold,
                ),
              ),
              const SizedBox(width: 40),
              const Text(
                'Smoothies',
                style: TextStyle(
                  color: Colors.white,
                  fontSize: 18,
                  fontWeight: FontWeight.bold,
                ),
              ),
              const SizedBox(width: 40),
              const Text(
                'Tés',
                style: TextStyle(
                  color: Colors.white,
                  fontSize: 18,
                  fontWeight: FontWeight.bold,
                ),
              ),
              const SizedBox(width: 40),
              const Text(
                'Tisanas',
                style: TextStyle(
                  color: Colors.white,
                  fontSize: 18,
                  fontWeight: FontWeight.bold,
                ),
              ),
              const SizedBox(width: 40),
              const Text(
                'Vip',
                style: TextStyle(
                  color: Colors.white,
                  fontSize: 18,
                  fontWeight: FontWeight.bold,
                ),
              ),
              const SizedBox(width: 40),
              const Text(
                'Libros',
                style: TextStyle(
                  color: Colors.white,
                  fontSize: 18,
                  fontWeight: FontWeight.bold,
                ),
              ),
            ],
          ),
        ),
      ],
    );
  }
}
